Bug 1315687 - Role seed was not updated with changed permissions in #7096
Summary: Role seed was not updated with changed permissions in #7096
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-08 12:20 UTC by Tomer Brisker
Modified: 2019-09-25 20:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:05:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 14078 None None None 2016-04-22 15:53:49 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Tomer Brisker 2016-03-08 12:20:22 UTC
The combination of partition tables and provisioning templates undertaken in #7096 changed the names of some permissions. 
However, the role seed was not updated accordingly.

Comment 1 Tomer Brisker 2016-03-08 12:20:25 UTC
Created from redmine issue http://projects.theforeman.org/issues/14078

Comment 2 Tomer Brisker 2016-03-08 12:20:30 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 3 Tomer Brisker 2016-03-08 12:22:17 UTC
Fixed upstream in changeset a183019ebfd9cdd434274f485745ffcee7a080ca.

Comment 6 Tazim Kolhar 2016-04-05 04:16:48 UTC
Hi

    please provide verification steps
    thanks !!

Thanks and Regards,
Tazim

Comment 7 Tomer Brisker 2016-04-05 09:39:09 UTC
Hello Tazim,
To verify, check on a newly seeded sat 6.2 that the following permissions don't exist:
view_templates, create_templates, edit_templates, destroy_templates, deploy_templates

and that the following permissions do exist:
view_provisioning_templates, create_provisioning_templates, edit_provisioning_templates, destroy_provisioning_templates, deploy_provisioning_templates

Comment 8 Tazim Kolhar 2016-04-05 10:01:15 UTC
VERIFIED:
# rpm -q foreman
foreman-1.11.0.9-1.el7sat.noarch

Steps:

1.) Login to WebUI
2.) Navigate to Administer -> Roles
3.) Click `Manager` 
4.) Search for `templates`
5.) deploy_provisioning_templates, edit_provisioning_templates, create_provisioning_templates, view_provisioning_templates, destroy_provisioning_templates

Comment 11 errata-xmlrpc 2016-07-27 09:05:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.